﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Xprise.Xemod.Widgets;
using MindFusion.Diagramming;

namespace WindowsFormsApplication1
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void diagramView1_CreateEditControl(object sender, MindFusion.Diagramming.WinForms.InPlaceEditEventArgs e)
		{
			CodeMaskTextBox control = new CodeMaskTextBox();
			control.Text = e.Item.GetTextToEdit();
			control.KeyPress += new KeyPressEventHandler(control_KeyPress);
			control.LostFocus += new EventHandler(control_LostFocus);


			int height = (int)(e.Node.Font.SizeInPoints * 6);
			Rectangle rectangle = diagramView1.DocToClient(e.Node.Bounds);
			rectangle.Height = height;
			control.Bounds = rectangle;

			System.Diagnostics.Debug.WriteLine("CreateEditControl: " + rectangle);

			e.EditControl = control; 
		}

		private void diagramView1_EnterInplaceEditMode(object sender, MindFusion.Diagramming.WinForms.InPlaceEditEventArgs e)
		{
			System.Diagnostics.Debug.WriteLine("EnterInplaceEditMode: " + e.EditControl.Bounds);
		}

		void control_LostFocus(object sender, EventArgs e)
		{
		}

		void control_KeyPress(object sender, KeyPressEventArgs e)
		{
		}

		private void diagram1_NodeCreated(object sender, MindFusion.Diagramming.NodeEventArgs e)
		{
		}
	}
}
